### Function

# GLib Hook unref

#### Declaration

    void
    g_hook_unref (
      GHookList* hook_list,
      GHook* hook
    )

#### Description

Decrements the reference count of a `GHook`. If the reference count falls to 0, the `GHook` is removed from the `GHookList` and `g_hook_free()` is called to free it.

#### Parameters

`hook_list`

  Type: `GHookList`

  A `GHookList`.

  The data is owned by the caller of the function.

`hook`

  Type: `GHook`

  The `GHook` to unref.

  The data is owned by the caller of the function.